> ## Documentation Index
> Fetch the complete documentation index at: https://docs.primeintellect.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Team Disks

> Paginated list of the team's non-terminated disks.



## OpenAPI

````yaml https://api.primeintellect.ai/openapi.json get /api/admin/teams/{team_id}/disks
openapi: 3.1.0
info:
  title: PI API
  version: 0.1.0
servers:
  - url: https://api.primeintellect.ai
security: []
paths:
  /api/admin/teams/{team_id}/disks:
    get:
      tags:
        - admin-teams
      summary: List Team Disks
      description: Paginated list of the team's non-terminated disks.
      operationId: list_team_disks_api_admin_teams__team_id__disks_get
      parameters:
        - name: team_id
          in: path
          required: true
          schema:
            type: string
            title: Team Id
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
            default: 0
            title: Offset
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            default: 20
            title: Limit
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/GenericPaginationResponse_list_AdminDiskSummary__
        '401':
          description: Authorization failed
        '403':
          description: Insufficient permissions
        '422':
          description: Invalid request data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - HTTPBearer: []
components:
  schemas:
    GenericPaginationResponse_list_AdminDiskSummary__:
      properties:
        total_count:
          type: integer
          title: Total Count
          description: Total number of items available in the dataset
          default: 0
        offset:
          type: integer
          minimum: 0
          title: Offset
          description: Number of items to skip before starting to collect the result set
          default: 0
        limit:
          type: integer
          minimum: 0
          title: Limit
          description: Maximum number of items to return
          default: 100
        data:
          items:
            $ref: '#/components/schemas/AdminDiskSummary'
          type: array
          title: Data
        status:
          anyOf:
            - type: string
            - type: 'null'
          title: Status
          description: Response status
      type: object
      required:
        - data
      title: GenericPaginationResponse[list[AdminDiskSummary]]
    ErrorResponse:
      properties:
        errors:
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type: array
          title: Errors
      type: object
      required:
        - errors
      title: ErrorResponse
    AdminDiskSummary:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        providerType:
          type: string
          title: Providertype
        status:
          type: string
          title: Status
        size:
          type: integer
          title: Size
        priceHr:
          anyOf:
            - type: number
            - type: 'null'
          title: Pricehr
        teamId:
          anyOf:
            - type: string
            - type: 'null'
          title: Teamid
        userId:
          anyOf:
            - type: string
            - type: 'null'
          title: Userid
        createdAt:
          type: string
          format: date-time
          title: Createdat
      type: object
      required:
        - id
        - name
        - providerType
        - status
        - size
        - createdAt
      title: AdminDiskSummary
      description: Lightweight disk summary returned by the admin list endpoint.
    ErrorDetail:
      properties:
        param:
          type: string
          title: Param
        details:
          type: string
          title: Details
      type: object
      required:
        - param
        - details
      title: ErrorDetail
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````